Package de.gebit.integrity.runner.results.timeset

## Class TimeSetExceptionResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.timeset.TimeSetResult
    - - de.gebit.integrity.runner.results.timeset.TimeSetExceptionResult

-     public class TimeSetExceptionResult
      extends TimeSetResult

  Documents a faulty timeset operation.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeSetExceptionResult​(List<ForkDefinition> someForks, Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> someCurrentDateTimes, String anErrorMessage, String anExceptionStackTrace, Long anExecutionTime)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getErrorMessage()` |
    `String` | `getExceptionStackTrace()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.timeset.TimeSetResult

      `getCurrentDateTimes, getForks`

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSetExceptionResult

          public TimeSetExceptionResult​(List<ForkDefinition> someForks,
                                        Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> someCurrentDateTimes,
                                        String anErrorMessage,
                                        String anExceptionStackTrace,
                                        Long anExecutionTime)

      Constructor.
      Parameters:
        `someForks` - The forks on which the time was set. The null element in the list means the master process.
        `someCurrentDateTimes` - A complete map of fork names (null = master) to their respective currently valid test date/time, including the current progression speed (0.0 = static time)
        `anExecutionTime` - the time in msecs it took to execute the timeset
        `anErrorMessage` - The exception message
        `anExceptionStackTrace` - The exception stack trace

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### getExceptionStackTrace

          public String getExceptionStackTrace()